Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.evpull
Class PullEventSource

    java.lang.Object
      net.sf.saxon.evpull.PullEventSource

All Implemented Interfaces:
  Source

    public class PullEventSource

extends Object
implements Source

A PullSource is a JAXP Source that encapsulates a PullProvider - that is, an object that supplies an XML document as a sequence of events that are read under the control of the recipient. Note that although PullSource implements the JAXP Source interface, it is not necessarily acceptable to every JAXP implementation that accepts a Source as input: Source is essentially a marker interface and users of Source objects need to understand the individual implementation.

Constructor Summary
`PullEventSource(EventIterator provider)` Create a PullSource based on a supplied EventIterator

Method Summary
`EventIterator` | `getEventIterator()` Get the EventIterator
`String` | `getSystemId()` Get the system identifier that was set with setSystemId.
`void` | `setSystemId(String systemId)` Set the system identifier for this Source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PullEventSource

    public PullEventSource(EventIterator provider)

  Create a PullSource based on a supplied EventIterator

  Parameters:
    `provider` - the underlying EventIterator

Method Detail

### getEventIterator

    public EventIterator getEventIterator()

  Get the EventIterator

  Returns:
    the underlying EventIterator

### setSystemId

    public void setSystemId(String systemId)

  Set the system identifier for this Source.

  The system identifier is optional if the source does not get its data from a URL, but it may still be useful to provide one. The application can use a system identifier, for example, to resolve relative URIs and to include in error messages and warnings.

  Specified by:
    `setSystemId` in interface `Source`
  Parameters:
    `systemId` - The system identifier as a URL string.

### getSystemId

    public String getSystemId()

  Get the system identifier that was set with setSystemId.

  Specified by:
    `getSystemId` in interface `Source`
  Returns:
    The system identifier that was set with setSystemId, or null if setSystemId was not called.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.